get an OAuth 2.0 access token

This service uses The OAuth 2.0 Authorization Framework to enable a third-party application to obtain limited access to the service's data. Currently, the service only supports the OAuth 2.0 protocol client_credentials grant type.

The Authorization header in this request must use the HTTP Basic authentication scheme, using the client_id and client_secret that were provisioned by Cogito. Alternatively, the client_id and client_secret may be included in the request body.

The API's response will include a Bearer access token property that can be used in the Authorization header of subsequent API requests.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Namespace for the client

Form Data

client-credentials request body

string
enum
required

Value MUST be set to "client_credentials"

Allowed:
string

The authorization and token endpoints allow the client to specify the scope of the access request using the "scope" request parameter. In turn, the authorization server uses the "scope" response parameter to inform the client of the scope of the access token issued. The value of the scope parameter is expressed as a list of space- delimited, case-sensitive strings.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Choose an example:
application/json
application/vnd.cogitocorp.v1+json